Subject: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Juri Linkov <[email-masked]>
Date: Wed, 29 Jan 2020 02:05:02 +0200

> I realize now that I was trying the wrong thing, and I've been able to
> reproduce this on both Mac and GNU/Linux using GNU Emacs.

Stefan, could you please help to reproduce the issue.
What are the necessary steps?

I see that the existing implementation of isearch-mouse-2
allows yanking the selection when clicked in the echo area,
but when clicked in the buffer it goes into infinite recursion,
because isearch-mouse-2 calls itself again.

Should it yank the selection when clicked in the buffer too?